import AccountViewModel from './../response/AccountViewModel';
import GetAccountInfoRequest from './../request/account/GetAccountInfoRequest';
import GetAccountBalanceRequest from './../request/account/GetAccountBalanceRequest';
import { QueryBus } from '../../../core/query/QueryBus';
import BigDecimal from '../../../domain/context/shared/BigDecimal';
interface IAccountInPort {
    getInfo(request: GetAccountInfoRequest): Promise<AccountViewModel>;
}
declare class AccountInPort implements IAccountInPort {
    private readonly queryBus;
    constructor(queryBus?: QueryBus);
    getInfo(request: GetAccountInfoRequest): Promise<AccountViewModel>;
    getBalance(request: GetAccountBalanceRequest): Promise<BigDecimal>;
}
declare const Account: AccountInPort;
export default Account;
